package com.jay.monitor.data.server.daos;

import com.jay.monitor.data.server.models.entity.JayMonitorUrlLog;
import com.jay.monitor.data.server.models.entity.JayMonitorUrlLogExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface JayMonitorUrlLogMapper {
    long countByExample(JayMonitorUrlLogExample example);

    int deleteByExample(JayMonitorUrlLogExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(JayMonitorUrlLog record);

    int insertSelective(JayMonitorUrlLog record);

    List<JayMonitorUrlLog> selectByExample(JayMonitorUrlLogExample example);

    JayMonitorUrlLog selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") JayMonitorUrlLog record, @Param("example") JayMonitorUrlLogExample example);

    int updateByExample(@Param("record") JayMonitorUrlLog record, @Param("example") JayMonitorUrlLogExample example);

    int updateByPrimaryKeySelective(JayMonitorUrlLog record);

    int updateByPrimaryKey(JayMonitorUrlLog record);
}